Index: trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 5320)
+++ trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 7655)
@@ -12,5 +12,5 @@
 $size_of_acl = sizeof($GLOBALS['phpgw_info']['user']['acl']);
 
-for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; $i++ )
+for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; ++$i )
 {
 	$apps = unserialize($GLOBALS['phpgw_info']['server']['apps_jabberit']);
Index: trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php	(revision 3102)
+++ trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php	(revision 7655)
@@ -29,5 +29,5 @@
 		$key = "";
 		
-		for( $i = 0 ; $i < 61; $i++ )
+		for( $i = 0 ; $i < 61; ++$i )
 		{
 			$key   .= substr($char, $i, mt_rand(1,61));	
Index: trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 3406)
+++ trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 7655)
@@ -70,5 +70,5 @@
 		if( is_array($users) )
 		{	
-			for($i = 0; $i < count($users); $i++)				
+			for($i = 0; $i < count($users); ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -204,7 +204,7 @@
 			$_restrict = array();
 			
-			for( $i = 0 ; $i < count($orgs) ; $i++ )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; $j++ )
+			for( $i = 0 ; $i < count($orgs) ; ++$i )
+			{
+				for( $j = 0 ; $j < count($array_uids) ; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -248,5 +248,5 @@
 	{
 	    $result = array();
-	    for($i = $offset; $i< strlen($haystack); $i++ )
+	    for($i = $offset; $i< strlen($haystack); ++$i )
 	    {
 	        $pos = strpos($haystack,$needle,$i);
@@ -332,5 +332,5 @@
 						$orgs = array();
 				
-						for( $i = 0 ; $i < count($posAll); $i++ )
+						for( $i = 0 ; $i < count($posAll); ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -370,5 +370,5 @@
 							$orgs = array();
 					
-							for( $i = 0 ; $i < count($posAll); $i++ )
+							for( $i = 0 ; $i < count($posAll); ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 3530)
+++ trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 7655)
@@ -125,5 +125,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -197,5 +197,5 @@
 				$count = count($members[$servers]);
 				
-				for( $i = 0; $i < $count; $i++ )
+				for( $i = 0; $i < $count; ++$i )
 				{
 					if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -210,5 +210,5 @@
 				$confHosts	= $this->hostsJabber;
 			
-				for($i = 0; $i < count($confHosts); $i++ )
+				for($i = 0; $i < count($confHosts); ++$i )
 				{
 					if( $this->ldap )
@@ -279,5 +279,5 @@
 			$confHosts	= $this->hostsJabber;
 		
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $this->ldap )
@@ -322,5 +322,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -344,5 +344,5 @@
 			$info = ldap_get_entries($this->ldap, $search);
 		
-			for ($i=0; $i<$info["count"]; $i++)
+			for ($i=0; $i<$info["count"]; ++$i)
 			{
 				$a_sectors[] = $info[$i]['dn'];
@@ -375,5 +375,5 @@
             else 
             {
-				for( $i = 0; $i < $level; $i++)
+				for( $i = 0; $i < $level; ++$i)
 					$display .= '---';
             }
@@ -399,5 +399,5 @@
 			$confHosts	= $this->hostsJabber;	
 
-			for( $i = 0; $i < count($confHosts); $i++ )
+			for( $i = 0; $i < count($confHosts); ++$i )
 			{
 				if( trim($host) === trim($confHosts[$i]['jabberName']) )
@@ -427,5 +427,5 @@
 			$entry		= ldap_get_entries( $this->ldap, $search );
 			
-			for( $i = 0 ; $i < $entry['count']; $i++ )
+			for( $i = 0 ; $i < $entry['count']; ++$i )
 			{
 				if( $entry[$i]['jpegphoto'][0] && $entry[$i]['phpgwaccountvisible'][0] != '-1' )
@@ -454,5 +454,5 @@
 		$conn	= "";		
 
-		for( $i = 0; $i < count($confHosts); $i++ )
+		for( $i = 0; $i < count($confHosts); ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
@@ -513,5 +513,5 @@
 		$j		= 0;
 		
-		for( $i = 0 ; $i < $entry['count']; $i++ )
+		for( $i = 0 ; $i < $entry['count']; ++$i )
 		{
 			if ( $entry[$i]['phpgwaccountvisible'][0] != '-1' )
Index: trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 3326)
+++ trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 7655)
@@ -59,5 +59,5 @@
 		$return = "";	
 		
-		for( $i = 0 ; $i < count($hostsJabber); $i++ )
+		for( $i = 0 ; $i < count($hostsJabber); ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -469,5 +469,5 @@
 		{
 		    $result = array();
-		    for($i = $offset; $i< strlen($haystack); $i++ )
+		    for($i = $offset; $i< strlen($haystack); ++$i )
 		    {
 		        $pos = strpos($haystack,$needle,$i);
@@ -490,5 +490,5 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); $i++ )
+		for( $i = 0 ; $i < count($posAll); ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -628,5 +628,5 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); $i++)
+						for( $i = 0; $i < count($confHostsOrgs); ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
Index: trunk/jabberit_messenger/jmessenger/inc/Controller.class.php
===================================================================
--- trunk/jabberit_messenger/jmessenger/inc/Controller.class.php	(revision 3102)
+++ trunk/jabberit_messenger/jmessenger/inc/Controller.class.php	(revision 7655)
@@ -111,5 +111,5 @@
 		$contents_itens = $this->controller_contentes->getElementsByTagName(self::__CONTROLLER_CONTENTES_ITEM__);
 
-		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; $i++ );
+		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; ++$i );
 		( !($i < $contents_itens->length) )
 			and die(__CLASS__ . ' [ ERROR #11 ] :: invalid section "' . $section_name . '"');
@@ -127,7 +127,7 @@
 
 		if ( empty($alias) && $alias !== '0' )
-			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; $i++ );
+			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; ++$i );
 		else
-			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); $i++ );
+			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); ++$i );
 
 		( !($i < $section_itens->length) )
Index: trunk/jabberit_messenger/inc/login.php
===================================================================
--- trunk/jabberit_messenger/inc/login.php	(revision 3155)
+++ trunk/jabberit_messenger/inc/login.php	(revision 7655)
@@ -88,5 +88,5 @@
 			$pluginsJava[] = "callVoip.jar";		
 		
-		for( $i = 0; $i < count($pluginsJava); $i++ )
+		for( $i = 0; $i < count($pluginsJava); ++$i )
 		{
 			$javaFiles	 .= $path . "plugins/" . $pluginsJava[$i] . ",";
Index: trunk/jabberit_messenger/inc/jabberit_acl.inc.php
===================================================================
--- trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 6179)
+++ trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 7655)
@@ -40,5 +40,5 @@
 	$size_of_acl = sizeof($GLOBALS['phpgw_info']['user']['acl']);
 	
-	for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; $i++ )
+	for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; ++$i )
 	{
 		$apps = unserialize($GLOBALS['phpgw_info']['server']['apps_jabberit']);
Index: trunk/jabberit_messenger/inc/class.contacts_im.inc.php
===================================================================
--- trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 3530)
+++ trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 7655)
@@ -93,5 +93,5 @@
 		if( is_array($users) )
 		{	
-			for($i = 0; $i < count($users); $i++)				
+			for($i = 0; $i < count($users); ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -226,7 +226,7 @@
 			$_restrict = array();
 			
-			for( $i = 0 ; $i < count($orgs) ; $i++ )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; $j++ )
+			for( $i = 0 ; $i < count($orgs) ; ++$i )
+			{
+				for( $j = 0 ; $j < count($array_uids) ; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -248,5 +248,5 @@
 	{
 	    $result = array();
-	    for($i = $offset; $i< strlen($haystack); $i++ )
+	    for($i = $offset; $i< strlen($haystack); ++$i )
 	    {
 	        $pos = strpos($haystack,$needle,$i);
@@ -332,5 +332,5 @@
 						$orgs = array();
 				
-						for( $i = 0 ; $i < count($posAll); $i++ )
+						for( $i = 0 ; $i < count($posAll); ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -370,5 +370,5 @@
 							$orgs = array();
 					
-							for( $i = 0 ; $i < count($posAll); $i++ )
+							for( $i = 0 ; $i < count($posAll); ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: trunk/jabberit_messenger/inc/class.ldap_im.inc.php
===================================================================
--- trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 3530)
+++ trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 7655)
@@ -126,5 +126,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -198,5 +198,5 @@
 				$count = count($members[$servers]);
 				
-				for( $i = 0; $i < $count; $i++ )
+				for( $i = 0; $i < $count; ++$i )
 				{
 					if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -211,5 +211,5 @@
 				$confHosts	= $this->hostsJabber;
 			
-				for($i = 0; $i < count($confHosts); $i++ )
+				for($i = 0; $i < count($confHosts); ++$i )
 				{
 					if( $this->ldap )
@@ -227,5 +227,5 @@
 						$count = count($members[$servers]);
 						
-						for( $i = 0; $i < $count; $i++ )
+						for( $i = 0; $i < $count; ++$i )
 						{
 							if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -280,5 +280,5 @@
 			$confHosts	= $this->hostsJabber;
 		
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $this->ldap )
@@ -323,5 +323,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -345,5 +345,5 @@
 			$info = ldap_get_entries($this->ldap, $search);
 		
-			for ($i=0; $i<$info["count"]; $i++)
+			for ($i=0; $i<$info["count"]; ++$i)
 			{
 				$a_sectors[] = $info[$i]['dn'];
@@ -376,5 +376,5 @@
             else 
             {
-				for( $i = 0; $i < $level; $i++)
+				for( $i = 0; $i < $level; ++$i)
 					$display .= '---';
             }
@@ -398,5 +398,5 @@
 		$conn	= "";		
 
-		for( $i = 0; $i < count($confHosts); $i++ )
+		for( $i = 0; $i < count($confHosts); ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
@@ -456,5 +456,5 @@
 		$j		= 0;
 		
-		for( $i = 0 ; $i < $entry['count']; $i++ )
+		for( $i = 0 ; $i < $entry['count']; ++$i )
 		{
 			if ( $entry[$i]['phpgwaccountvisible'][0] != '-1' )
Index: trunk/jabberit_messenger/inc/class.db_im.inc.php
===================================================================
--- trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 3266)
+++ trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 7655)
@@ -60,5 +60,5 @@
 		$return = "";	
 		
-		for( $i = 0 ; $i < count($hostsJabber); $i++ )
+		for( $i = 0 ; $i < count($hostsJabber); ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -496,5 +496,5 @@
 		{
 		    $result = array();
-		    for($i = $offset; $i< strlen($haystack); $i++ )
+		    for($i = $offset; $i< strlen($haystack); ++$i )
 		    {
 		        $pos = strpos($haystack,$needle,$i);
@@ -517,5 +517,5 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); $i++ )
+		for( $i = 0 ; $i < count($posAll); ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -655,5 +655,5 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); $i++)
+						for( $i = 0; $i < count($confHostsOrgs); ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
Index: trunk/jabberit_messenger/inc/Controller.class.php
===================================================================
--- trunk/jabberit_messenger/inc/Controller.class.php	(revision 3199)
+++ trunk/jabberit_messenger/inc/Controller.class.php	(revision 7655)
@@ -111,5 +111,5 @@
 		$contents_itens = $this->controller_contentes->getElementsByTagName(self::__CONTROLLER_CONTENTES_ITEM__);
 
-		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; $i++ );
+		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; ++$i );
 		( !($i < $contents_itens->length) )
 			and die(__CLASS__ . ' [ ERROR #11 ] :: invalid section "' . $section_name . '"');
@@ -127,7 +127,7 @@
 
 		if ( empty($alias) && $alias !== '0' )
-			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; $i++ );
+			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; ++$i );
 		else
-			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); $i++ );
+			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); ++$i );
 
 		( !($i < $section_itens->length) )
